GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/hppa-bsd-tdep.c File Reference
`#include "defs.h"`
`#include "objfiles.h"`
`#include "target.h"`
`#include "value.h"`
`#include "elf/common.h"`
`#include "hppa-tdep.h"`
`#include "hppa-bsd-tdep.h"`
`#include "dwarf2-frame.h"`
`#include "solib-svr4.h"`

Go to the source code of this file.

## Functions
static CORE_ADDR | hppabsd_find_global_pointer (struct gdbarch *gdbarch, struct value *function)
static void | hppabsd_dwarf2_frame_init_reg (struct gdbarch *gdbarch, int regnum, struct dwarf2_frame_state_reg *reg, struct frame_info *this_frame)
void | hppabsd_init_abi (struct gdbarch_info info, struct gdbarch *gdbarch)

## Function Documentation

## ◆ hppabsd_dwarf2_frame_init_reg()

static void hppabsd_dwarf2_frame_init_reg | ( | struct gdbarch * | gdbarch,
|  | int | regnum,
|  | struct dwarf2_frame_state_reg * | reg,
|  | struct frame_info * | this_frame
| ) |  |
| static

Definition at line 109 of file hppa-bsd-tdep.c.

References DWARF2_FRAME_REG_CFA, DWARF2_FRAME_REG_RA, HPPA_PCOQ_HEAD_REGNUM, HPPA_SP_REGNUM, and regnum.

Referenced by hppabsd_init_abi().

## ◆ hppabsd_find_global_pointer()

static CORE_ADDR hppabsd_find_global_pointer | ( | struct gdbarch * | gdbarch,
|  | struct value * | function
| ) |  |
| static

Definition at line 33 of file hppa-bsd-tdep.c.

References ALL_OBJFILE_OSECTIONS, ANOFFSET, gdbarch::byte_order, extract_signed_integer(), extract_unsigned_integer(), find_pc_section(), gdbarch_byte_order(), in_plt_section(), obj_section_addr, obj_section_endaddr, obj_section::objfile, SECT_OFF_TEXT, objfile::section_offsets, objfile::sections_end, target_read_memory(), obj_section::the_bfd_section, and value_as_address().

Referenced by hppabsd_init_abi().

## ◆ hppabsd_init_abi()

void hppabsd_init_abi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |

Definition at line 120 of file hppa-bsd-tdep.c.

References dwarf2_append_unwinders(), dwarf2_frame_set_init_reg(), gdbarch_tdep::find_global_pointer, floatformats_ieee_double, gdbarch_tdep(), hppa_in_solib_call_trampoline(), hppa_skip_trampoline_code(), hppabsd_dwarf2_frame_init_reg(), hppabsd_find_global_pointer(), gdbarch_tdep::in_solib_call_trampoline, gdbarch_tdep::is_elf, set_gdbarch_long_double_bit(), set_gdbarch_long_double_format(), set_gdbarch_skip_trampoline_code(), set_solib_svr4_fetch_link_map_offsets(), and svr4_ilp32_fetch_link_map_offsets().

Referenced by hppanbsd_init_abi(), and hppaobsd_init_abi().